View a markdown version of this page

GetAgentOrganizationalReportData - AWS Well-Architected

GetAgentOrganizationalReportData

Important

This operation is not available during the preview release.

Retrieves the data artifact for a completed Organizational Report as a short-lived presigned S3 URL. The response contains the URL in downloadUrl and its expiration in expiresAt. To have the service write the artifact directly into a caller-owned bucket instead, use SendAgentOrganizationalReportDataToS3.

Request Syntax

GET /api/v1/agent-organizational-reports/reportId/data?format=format HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

format

Format of the returned artifact (CSV, JSON, or PARQUET).

Valid Values: CSV | JSON | PARQUET

Required: Yes

reportId

Identifier of the report whose data is being retrieved.

Pattern: [0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "downloadUrl": "string", "expiresAt": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

downloadUrl

Presigned URL that can be used to download the artifact.

Type: String

expiresAt

Expiration time of downloadUrl.

Type: Timestamp

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

User does not have sufficient access to perform this action.

Message

Description of the error.

HTTP Status Code: 403

InternalServerException

There is a problem with the AWS Well-Architected Tool API service.

Message

Description of the error.

HTTP Status Code: 500

ResourceNotFoundException

The requested resource was not found.

Message

Description of the error.

ResourceId

Identifier of the resource affected.

ResourceType

Type of the resource affected.

HTTP Status Code: 404

ThrottlingException

Request was denied due to request throttling.

Message

Description of the error.

QuotaCode

Service Quotas requirement to identify originating quota.

ServiceCode

Service Quotas requirement to identify originating service.

HTTP Status Code: 429

ValidationException

The user input is not valid.

Fields

The fields that caused the error, if applicable.

Message

Description of the error.

Reason

The reason why the request failed validation.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: